Subject: Re: bug#68415: User's shepherd services defined in guix home config can not start after guix pull.

From: Feng Shu <[email-masked]>
Date: Wed, 17 Jan 2024 20:55:53 +0800

Sergey Trofimov <[email-masked]> writes:

Today, after I guix pull again and reconfig guix home, this problem
dispear, I do not know why :-)

> Feng Shu <[email-masked]> writes:
>
>>>
>>> Have you tried debugging it? Is your home shepherd running? Do you
>>> see
>>
>> I tried, but I do not know why: unbound-variable service
>>
> That is not normal. You need to fix that.
>
>>
>> The below code run have problem, and I think shepherd is not run,
>> for
>> 'ps aux |grep shepherd' can not found info.
>
> home's shepherd is started by ~/.guix-home/on-first-login, which gets
> invoked in ~/.profile
> You can try running the script manually and see what happens.
>
> Please compare your home configuration before and after the pull. You
> can find the configs in
> /var/guix/profiles/per-user/<name>/guix-home-<version>-link/configuration.scm
>
> The subject is "can not start after guix pull", but it seems to me
> your home is misconfigured and the pull might be unrelated.
>
>>
>>      (service
>>       home-shepherd-service-type
>>       (home-shepherd-configuration
>>        (shepherd shepherd)
>
> that's the default, no need to specify shepherd
>
>>        (services
>>         (list xautolock-service))))
>>
>

--